org.apache.flume.serialization

## Enum DecodeErrorPolicy

- java.lang.Object
- - java.lang.Enum<DecodeErrorPolicy>
  - - org.apache.flume.serialization.DecodeErrorPolicy

- All Implemented Interfaces:
    Serializable, Comparable<DecodeErrorPolicy>

      @InterfaceAudience.Private
      @InterfaceStability.Evolving
      public enum DecodeErrorPolicy
      extends Enum<DecodeErrorPolicy>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FAIL`
    `IGNORE`
    `REPLACE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DecodeErrorPolicy` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DecodeErrorPolicy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FAIL

          public static final DecodeErrorPolicy FAIL

    - #### REPLACE

          public static final DecodeErrorPolicy REPLACE

    - #### IGNORE

          public static final DecodeErrorPolicy IGNORE

  - ### Method Detail

    - #### values

          public static DecodeErrorPolicy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DecodeErrorPolicy c : DecodeErrorPolicy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DecodeErrorPolicy valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.